NSX-T Data Center REST API

Listing of Virtual machines on the NSX Manager (Deprecated)

This API filters objects of type virtual machines from the specified NSX Manager.
Deprecated: This API has been deprecated. Please use the new API GET /infra/realized-state/virtual-machines

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/realized-state/enforcement-points/{enforcement-point-name}/virtual-machines
Request Headers:
n/a
Query Parameters:
AdditionalSearchParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/realized-state/enforcement-points/default/virtual-machines

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
SearchResponse+

Example Response:

{ "cursor": "1", "result_count": 10004, "results": [ { "compute_ids": [ "moIdOnHost:1", "hostLocalId:1", "locationId:564d75b2-7e28-7e78-dd77-64e5fd6128e1", "instanceUuid:04fb2e78-e4bc-416f-b9dc-18b9f05e6227", "externalId:564d75b2-7e28-7e78-dd77-64e5fd6128e1", "biosUuid:564d75b2-7e28-7e78-dd77-64e5fd6128e1" ], "resource_type": "VirtualMachine", "external_id": "564d75b2-7e28-7e78-dd77-64e5fd6128e1", "source": { "target_display_name": "sc-rdops-vm09-dhcp-16-203.eng.vmware.com", "is_valid": true, "target_type": "HostNode", "target_id": "1afea8da-d4e2-11e7-93c3-c57b39f75a4f" }, "_last_sync_time": 1512031301409, "display_name": "1-vm_ubuntu_1404_srv_64-local-586-04fb2e78-e4bc-416f-b9dc-18b9f05e6227", "type": "REGULAR", "power_state": "VM_RUNNING", "host_id": "1afea8da-d4e2-11e7-93c3-c57b39f75a4f", "local_id_on_host": "1" } ] }

Required Permissions:

read

Feature:

vm_vm_info

Additional Errors: